[CentOS] LDAP syncrepl incompatibility between CentOS 4.x and 5.x

Brett Serkez bserkez at gmail.com
Wed Jun 11 18:56:14 UTC 2008


All,

After many hours of research I have found there is a incompatibility
between OpenLDAP V2.3.x and V2.2.x, or atleast between V2.3.27 the
current version on CentOS V5 and V2.2.13 the current version on CentOS
V4.

The syncrepl feature of OpenLDAP, to keep multiple slapd servers
sync'd, was working between CentOS 4 and 5 at one time, as that is how
I populated the "slave" servers.

I've found references indicating protocol changes and
incompatibilities between these versions and indeed looking at
detailed debugging logs I can see the protocol falling apart between
the two versions.

Has anyone else seen this issue?  Is anyone aware of a fix in the
pipeline or a work around?

Thanks in advance,

Brett



More information about the CentOS mailing list